ALLEGRO_AUDIO_PAN_NONE(3)

NAME

ALLEGRO_AUDIO_PAN_NONE - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    #define ALLEGRO_AUDIO_PAN_NONE      (-1000.0f)

DESCRIPTION

A special value for the pan property of sample instances and audio streams. Use this value to disable panning on sample instances and audio streams, and play them without attentuation implied by panning support.

ALLEGRO_AUDIO_PAN_NONE is different from a pan value of 0.0 (centered) because, when panning is enabled, we try to maintain a constant sound power level as a sample is panned from left to right. A sound coming out of one speaker should sound as loud as it does when split over two speakers. As a consequence, a sample with pan value 0.0 will be 3 dB softer than the original level.

(Please correct us if this is wrong.)